DdemlUtil.XactCompleteHandler (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, class: DdemlUtil, interface: XactCompleteHandler

Package com.sun.jna.platform.win32

# Interface DdemlUtil.XactCompleteHandler

Enclosing class:
  DdemlUtil

public static interface DdemlUtil.XactCompleteHandler

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onXactComplete(int transactionType, int dataFormat, Ddeml.HCONV hConv, Ddeml.HSZ topic, Ddeml.HSZ item, Ddeml.HDDEDATA hdata, BaseTSD.ULONG_PTR transactionIdentifier, BaseTSD.ULONG_PTR statusFlag)`
  A Dynamic Data Exchange (DDE) client callback function, DdeCallback, receives the XTYP_XACT_COMPLETE transaction when an asynchronous transaction, initiated by a call to the DdeClientTransaction function, has completed.

- ## Method Details

  - ### onXactComplete

    void onXactComplete(int transactionType, int dataFormat, Ddeml.HCONV hConv, Ddeml.HSZ topic, Ddeml.HSZ item, Ddeml.HDDEDATA hdata, BaseTSD.ULONG_PTR transactionIdentifier, BaseTSD.ULONG_PTR statusFlag)
    A Dynamic Data Exchange (DDE) client callback function, DdeCallback, receives the XTYP_XACT_COMPLETE transaction when an asynchronous transaction, initiated by a call to the DdeClientTransaction function, has completed.

    Remarks

    An application must not free the data handle obtained during this transaction. An application must, however, copy the data associated with the data handle if the application must process the data after the callback function returns. An application can use the DdeGetData function to copy the data.

    Parameters:
      `transactionType` - uType - The transaction type.
      `dataFormat` - uFmt - The format of the data associated with the completed transaction (if applicable) or NULL if no data was exchanged during the transaction.
      `hConv` - - A handle to the conversation.
      `topic` - hsz1 - A handle to the topic name involved in the completed transaction.
      `item` - hsz2 - A handle to the item name involved in the completed transaction.
      `hdata` - A handle to the data involved in the completed transaction, if applicable. If the transaction was successful but involved no data, this parameter is TRUE. This parameter is NULL if the transaction was unsuccessful.
      `transactionIdentifier` - dwData1 - The transaction identifier of the completed transaction.
      `statusFlag` - dwData2 - Any applicable DDE_ status flags in the low word. This parameter provides support for applications dependent on DDE_APPSTATUS bits. It is recommended that applications no longer use these bits � they may not be supported in future versions of the DDEML.